
#ifndef GUI_H
#define GUI_H

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <gtk/gtk.h>
#include <smpeg/smpeg.h>
#include <SDL/SDL.h>


int loop_active;
int zoom_active;

static const char *play_data[] = {
"16 16 3 1",
"       c None",
".      c #000000000000",
"X      c #FFFFFFFFFFFF",
"                      ",
"  .                   ",
"  ..                  ",
"  ...                 ",
"  ....                ",
"  .....               ",
"  ......              ",
"  .......             ",
"  ........            ",
"  .......             ",
"  ......              ",
"  .....               ",
"  ....                ",
"  ...                 ",
"  ..                  ",
"  .                   ",
"                      "};

static const char *pause_data[] = {
"16 16 3 1",
"       c None",
".      c #000000000000",
"X      c #FFFFFFFFFFFF",
"                      ",
"                      ",
"                      ",
"    ....   ....       ",
"    ....   ....       ",
"    ....   ....       ",
"    ....   ....       ",
"    ....   ....       ",
"    ....   ....       ",
"    ....   ....       ",
"    ....   ....       ",
"    ....   ....       ",
"    ....   ....       ",
"    ....   ....       ",
"                      ",
"                      ",
"                      "};

static const char *stop_data[] = {
"16 16 3 1",
"       c None",
".      c #000000000000",
"X      c #FFFFFFFFFFFF",
"                      ",
"                      ",
"   ............       ",
"   ............       ",
"   ............       ",
"   ............       ",
"   ............       ",
"   ............       ",
"   ............       ",
"   ............       ",
"   ............       ",
"   ............       ",
"   ............       ",
"   ............       ",
"   ............       ",
"                      ",
"                      "};

static const char *eject_data[] = {
"16 16 3 1",
"       c None",
".      c #000000000000",
"X      c #FFFFFFFFFFFF",
"                      ",
"                      ",
"                      ",
"                      ",
"         .            ",
"        ...           ",
"       .....          ",
"      .......         ",
"     .........        ",
"    ...........       ",
"   .............      ",
"                      ",
"   .............      ",
"   .............      ",
"   .............      ",
"                      ",
"                      "};

static const char *full_screen_data[] = {
"16 16 3 1",
"       c None",
".      c #000000000000",
"X      c #FFFFFFFFFFFF",
"                      ",
"                      ",
" ...........          ",
" .........X.          ",
" ...........          ",
" .         .          ",
" .      ........      ",
" .      ......X.      ",
" .      ........      ",
" .      .  .   .      ",
" ...........   .      ",
"        .      .      ",
"        .      .      ",
"        ........      ",
"                      ",
"                      ",
"                      "};


GtkWidget *xpm_label_box ( GtkWidget *, gchar **, gchar *);
void ok_dialog_clicked ( GtkWidget *widget, GtkDialog *dlg );

int sdl_initialize ();

#endif
